Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:51 2009

## Asterisk developer's documentation

# sip_registry Struct Reference

sip_registry: Registrations with other SIP proxies More...

Collaboration diagram for sip_registry:

[legend]

## Public Member Functions

| ASTOBJ_COMPONENTS_FULL (struct sip_registry, 1, 1)

## Data Fields

char | authuser [80]
struct sip_pvt * | call
char | callid [128]
int | callid_valid
char | contact [SIP_LEN_CONTACT]
char | domain [MAXHOSTNAMELEN]
int | expire
char | hostname [MAXHOSTNAMELEN]
char | lastmsg [256]
char | md5secret [80]
char | nonce [256]
int | noncecount
unsigned int | ocseq
char | opaque [256]
int | portno
char | qop [80]
char | random [80]
char | realm [MAXHOSTNAMELEN]
int | refresh
int | regattempts
int | regstate
char | secret [80]
int | timeout
struct sockaddr_in | us
char | username [80]

## Detailed Description

sip_registry: Registrations with other SIP proxies

Definition at line 820 of file chan_sip.c.

## Member Function Documentation

ASTOBJ_COMPONENTS_FULL | ( | struct | sip_registry,
|  | 1 | ,
|  | 1 |  |
| ) |  |  |

## Field Documentation

char authuser[80]

Who we *authenticate* as

Definition at line 824 of file chan_sip.c.

Referenced by sip_register(), and transmit_register().

struct sip_pvt* call`[read]`

create a sip_pvt structure for each outbound "registration call" in progress

Definition at line 834 of file chan_sip.c.

Referenced by __sip_destroy(), handle_response_register(), sip_reg_timeout(), sip_registry_destroy(), sip_reregister(), and transmit_register().

char callid[128]

Global CallID for this registry

Definition at line 837 of file chan_sip.c.

Referenced by transmit_register().

int callid_valid

0 means we haven't chosen callid for this registry yet.

Definition at line 836 of file chan_sip.c.

Referenced by sip_register(), and transmit_register().

char contact[SIP_LEN_CONTACT]

Contact extension

Definition at line 828 of file chan_sip.c.

Referenced by handle_response_register(), sip_register(), and transmit_register().

char domain[MAXHOSTNAMELEN]

Authorization domain

Definition at line 844 of file chan_sip.c.

Referenced by reply_digest(), and transmit_register().

int expire

Sched ID of expiration

Definition at line 830 of file chan_sip.c.

Referenced by handle_response_register(), sip_register(), sip_registry_destroy(), and sip_reregister().

char hostname[MAXHOSTNAMELEN]

Domain or host we register to

Definition at line 825 of file chan_sip.c.

Referenced by do_register_auth(), handle_response_register(), sip_reg_timeout(), sip_register(), sip_reregister(), and transmit_register().

char lastmsg[256]

Last Message sent/received

Definition at line 849 of file chan_sip.c.

char md5secret[80]

Password in md5

Definition at line 827 of file chan_sip.c.

Referenced by build_reply_digest(), and transmit_register().

char nonce[256]

Authorization nonce

Definition at line 843 of file chan_sip.c.

Referenced by reply_digest(), and transmit_register().

int noncecount

Nonce-count

Definition at line 847 of file chan_sip.c.

Referenced by reply_digest(), and transmit_register().

unsigned int ocseq

Sequence number we got to for REGISTERs for this registry

Definition at line 838 of file chan_sip.c.

Referenced by sip_register(), and transmit_register().

char opaque[256]

Opaque nonsense

Definition at line 845 of file chan_sip.c.

Referenced by reply_digest(), and transmit_register().

int portno

Optional port override

Definition at line 822 of file chan_sip.c.

Referenced by sip_register(), and transmit_register().

char qop[80]

Quality of Protection.

Definition at line 846 of file chan_sip.c.

Referenced by reply_digest(), and transmit_register().

char random[80]

Definition at line 829 of file chan_sip.c.

char realm[MAXHOSTNAMELEN]

Authorization realm

Definition at line 842 of file chan_sip.c.

Referenced by reply_digest(), and transmit_register().

int refresh

How often to refresh

Definition at line 833 of file chan_sip.c.

Referenced by handle_response_register(), and sip_register().

int regattempts

Number of attempts (since the last success)

Definition at line 831 of file chan_sip.c.

Referenced by handle_response_register(), sip_reg_timeout(), and transmit_register().

int regstate

Registration state (see above)

Definition at line 835 of file chan_sip.c.

Referenced by handle_response_register(), sip_reg_timeout(), and transmit_register().

char secret[80]

Password in clear text

Definition at line 826 of file chan_sip.c.

Referenced by sip_register(), and transmit_register().

int timeout

sched id of sip_reg_timeout

Definition at line 832 of file chan_sip.c.

Referenced by handle_response_register(), sip_reg_timeout(), sip_register(), sip_registry_destroy(), and transmit_register().

struct sockaddr_in us`[read]`

Who the server thinks we are

Definition at line 839 of file chan_sip.c.

char username[80]

Who we are registering as

Definition at line 823 of file chan_sip.c.

Referenced by handle_response_register(), sip_reg_timeout(), sip_register(), sip_reregister(), and transmit_register().

The documentation for this struct was generated from the following file:

- chan_sip.c